Skip to main content
`Ctrl`+`K`

# DMPlexShearGeometry

This shears the domain, meaning adds a multiple of the shear coordinate to all other coordinates.

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexShearGeometry(DM dm, DMDirection direction, PetscReal multipliers[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- direction - The shear coordinate direction, e.g. `DM_X` is the x-axis

- multipliers - The multiplier m for each direction which is not the shear direction

## See Also

`DMPLEX`, `DMPlexRemapGeometry()`, `DMDirection`, `DM_X`, `DM_Y`, `DM_Z`

## Level

intermediate

## Location

src/dm/impls/plex/plexgeometry.c

## Examples

src/snes/tutorials/ex13.c
src/snes/tutorials/ex17.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages